html {
    height: 100%;
    
}
body {
    margin: 0;        
    height: 100%;
    display: grid;
    place-items: center;
    background: var(--patron-background);
    font-family: var(--primary-font);            
}

.card {
    display: flex;
    flex-direction: column;   
    align-items: center;    
    width: clamp(340px, 20vw, 480px);        
    border-radius: 1.25rem;
    background-color: rgba(255, 255, 255, 0.1);
    border: 1px solid rgba(255,255,255,0.2);
    padding: var(--spacing-8) 0;
}

.card h2 {
    font-size: 1.7rem;
    font-weight: 400;
    margin: 0 0 30px;
    color:var(--primary-white);
}
.form {
    width: 90%;
    height: 250px;
    display: flex;
    flex-direction: column;
    gap: var(--spacing-24)
}

.form>input {
    width: 100%;
    height: 40px;
    border-radius: 25px;
    padding: 4px 12px;               
    border: .5px solid var(--primary-white);
}    

.card>footer {
    color:var(--primary-white);
}

.button {   
    border: 1px solid var(--primary-white);
    color: var(--primary-white);
    background: var(--primary-color);
    border-radius: 12px;
    padding-block: 6px 10px;
    box-shadow: inset 0px -3px 0px var(--primary-white);
    padding-inline-start: var(--spacing-24);
    padding-inline-end: var(--spacing-24);
    position: relative;
}

.button:hover {
    top: 2px;
}

.isSecondary {  
border:none;    
background: var(--secondary-color);       
box-shadow: rgb(137, 12, 73) 0px -4px 0px inset;
}